%define plugin_dir %(pkg-config audacious --variable=plugin_dir)

Name: audacious-docklet
Version: 0.1.1
Release: 2%{?dist}
Summary: A docklet plugin for Audacious

License: GPL
Group: Applications/Multimedia
URL: http://nedudu.hu/static.php?page=audacious
Source0: http://nedudu.hu/downloads/audacious-docklet-0.1.1.tar.bz2
Patch0: audacious-docklet-0.1.1-prefwindow.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires: audacious-devel, gettext, perl(XML::Parser)
Requires: audacious-plugins

%description
A plugin that allows you to control Audacious from the system tray.

%prep
%setup -q 
%patch0 -p1 -b .prefwindow

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
rm -f $RPM_BUILD_ROOT/%{plugin_dir}/General/libdocklet.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS ChangeLog
%{plugin_dir}/General/libdocklet.so

%Changelog
* Tue Apr 10 2007 Kevin Fenzi <kevin@tummy.com> - 0.1.1-2
- Rebuild for new audacious version. 

* Thu Dec 14 2006 Yu Fan <yufanyufan@gmail.com> - 0.1.1-1
- Modify spec file to conform fedora extras packaging and naming convention

* Mon Apr  9 2006 Jiang Tao <jiangtao9999@163.com>
- Modify spec file from audacious-mac.spec to audacious-docklet plugin.
